### Method

# Fwupd Device get_branch

since: 1.5.0

#### Declaration [src]

    const gchar*
    fwupd_device_get_branch (
      FwupdDevice* self
    )

#### Description [src]

Gets the current device branch.

Available since: 1.5.0

#### Return value

Type: `const gchar*`

The device branch, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.